[postgis-tickets] [SCM] PostGIS branch master updated. 3.2.0-611-g79ab2e2ba
git at osgeo.org
git at osgeo.org
Fri Feb 25 03:03:48 PST 2022
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "PostGIS".
The branch, master has been updated
via 79ab2e2ba50ec373053be5aee55f2d4853a17399 (commit)
via 784f393bbc52fa7b9c4a9591dbecda366a344b82 (commit)
via a9214782dbc8b35f86526c3822d777ac7bb092f5 (commit)
via ec2513dae7b3ac5d6fddb4a44ba4e33a6efba774 (commit)
via 7fd8bf5829d0d95fdda518635e47f5aaeb3947e6 (commit)
from 62e5bf1177595eee23190fc4be4ad6011778f0c7 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit 79ab2e2ba50ec373053be5aee55f2d4853a17399
Author: Sandro Santilli <strk at kbt.io>
Date: Thu Feb 17 18:46:00 2022 +0100
[gitlab-ci] Test distclean
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index e57fd2aa1..057eb2c4c 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -30,6 +30,8 @@
- make install
- RUNTESTFLAGS=-v make installcheck
- RUNTESTFLAGS="-v --dumprestore" make installcheck
+ - make distclean
+ - ${SRCDIR}/utils/check_distclean.sh
test:
image: debian:buster
commit 784f393bbc52fa7b9c4a9591dbecda366a344b82
Author: Sandro Santilli <strk at kbt.io>
Date: Wed Feb 23 22:38:10 2022 +0100
Clean topology test subdir on make clean/distclean
diff --git a/topology/Makefile.in b/topology/Makefile.in
index 25677d253..28d5494f8 100644
--- a/topology/Makefile.in
+++ b/topology/Makefile.in
@@ -149,5 +149,10 @@ check-regress: topology.sql
check: check-regress
+clean: clean-subdirs
+
+clean-subdirs:
+ $(MAKE) -C test clean
+
distclean: clean
rm -f Makefile test/Makefile
commit a9214782dbc8b35f86526c3822d777ac7bb092f5
Author: Sandro Santilli <strk at kbt.io>
Date: Wed Feb 23 22:05:29 2022 +0100
Do not create sfcgal Makefiles if sfcgal is disabled
diff --git a/configure.ac b/configure.ac
index 586d5da3a..d9335d716 100644
--- a/configure.ac
+++ b/configure.ac
@@ -798,9 +798,10 @@ if test "x$with_sfcgal" != "xno"; then
if test "x$SFCGAL_STATIC" = "xON"; then
AC_MSG_WARN([The SFCGAL version found is not installed as a dynamic library.])
else
- SFCGAL="sfcgal"
+ SFCGAL="sfcgal"
HAVE_SFCGAL="yes"
- AC_DEFINE([HAVE_SFCGAL], [1], [Define to 1 if sfcgal is being built])
+ AC_DEFINE([HAVE_SFCGAL], [1], [Define to 1 if sfcgal is being built])
+ SFCGAL_MAKEFILE_LIST="sfcgal/Makefile sfcgal/regress/Makefile extensions/postgis_sfcgal/Makefile"
fi
if test ! "$POSTGIS_SFCGAL_VERSION" -ge 10301; then
AC_MSG_ERROR([PostGIS requires SFCGAL >= 1.3.1 (found $SFCGAL_VERSION)])
@@ -1710,7 +1711,6 @@ AC_CONFIG_FILES([GNUmakefile
extensions/Makefile
extensions/postgis/Makefile
extensions/postgis_raster/Makefile
- extensions/postgis_sfcgal/Makefile
extensions/postgis_topology/Makefile
extensions/postgis_tiger_geocoder/Makefile
extensions/address_standardizer/Makefile
@@ -1721,8 +1721,7 @@ AC_CONFIG_FILES([GNUmakefile
libpgcommon/cunit/Makefile
postgis/Makefile
postgis/sqldefines.h
- sfcgal/Makefile
- sfcgal/regress/Makefile
+ $SFCGAL_MAKEFILE_LIST
loader/Makefile
loader/cunit/Makefile
topology/Makefile
commit ec2513dae7b3ac5d6fddb4a44ba4e33a6efba774
Author: Sandro Santilli <strk at kbt.io>
Date: Fri Feb 25 10:48:37 2022 +0100
Add check_distclean utility script
diff --git a/utils/check_distclean.sh b/utils/check_distclean.sh
new file mode 100755
index 000000000..05ee73286
--- /dev/null
+++ b/utils/check_distclean.sh
@@ -0,0 +1,38 @@
+#!/bin/sh
+
+TMPDIR="/tmp/postgis_check_distclean_$$"
+
+cleanup()
+{
+ #echo "${TMPDIR} has things"
+ rm -rf ${TMPDIR}
+}
+
+trap 'cleanup' 0
+
+mkdir -p $TMPDIR
+
+
+find . -type f | sort > ${TMPDIR}/leftover_files_after_distclean
+cat <<EOF > ${TMPDIR}/leftover_files_after_distclean.expected
+./doc/postgis_comments.sql
+./doc/raster_comments.sql
+./doc/sfcgal_comments.sql
+./doc/tiger_geocoder_comments.sql
+./doc/topology_comments.sql
+./liblwgeom/lwin_wkt_lex.c
+./liblwgeom/lwin_wkt_parse.c
+./liblwgeom/lwin_wkt_parse.h
+./postgis_revision.h
+EOF
+
+fgrep -vf \
+ ${TMPDIR}/leftover_files_after_distclean.expected \
+ ${TMPDIR}/leftover_files_after_distclean > \
+ ${TMPDIR}/unexpected_leftovers
+
+if test $(cat ${TMPDIR}/unexpected_leftovers | wc -l) != 0; then
+ echo "Unexpected left over files after distclean:" >&2
+ cat ${TMPDIR}/unexpected_leftovers >&2
+ false
+fi
commit 7fd8bf5829d0d95fdda518635e47f5aaeb3947e6
Author: Sandro Santilli <strk at kbt.io>
Date: Thu Feb 17 18:57:42 2022 +0100
[gitlab-ci] Drop LONG_INT print (debug leftover?)
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index b91e1b9fa..e57fd2aa1 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -11,7 +11,6 @@
libprotobuf-c1 libprotobuf-c-dev protobuf-c-compiler
- lsb_release -a
- uname -a
- - echo "LONG INT is "`getconf LONG_BIT`"bit"
- service postgresql start
- su -l postgres -c "createuser -s `whoami`"
script:
-----------------------------------------------------------------------
Summary of changes:
.gitlab-ci.yml | 3 ++-
configure.ac | 9 ++++-----
topology/Makefile.in | 5 +++++
utils/check_distclean.sh | 38 ++++++++++++++++++++++++++++++++++++++
4 files changed, 49 insertions(+), 6 deletions(-)
create mode 100755 utils/check_distclean.sh
hooks/post-receive
--
PostGIS
More information about the postgis-tickets
mailing list